#!/bin/sh

echo 1. Modify x64/Win32 config-comment.
echo 2. Run this script under ffmpeg root.

mkdir -p ./libs

#
#	x64
#
ArchCode=x64
ArcOpt="--arch=x86_64 --cpu=x86_64"

#
#	Win32
#
#	ArchCode=Win32
#	ArcOpt="--arch=x86 --cpu=x86"

echo 3. Output goes to ./libs/Release/${ArchCode}

EnvOpt="--toolchain=msvc --enable-shared --disable-gpl --enable-runtime-cpudetect --enable-stripping"
GenOpt="--disable-doc --disable-everything --disable-swresample --disable-swscale --disable-network --disable-avdevice --disable-postproc --disable-avfilter --disable-network --disable-dxva2 --disable-vaapi --disable-vdpau --disable-iconv"
ProtoOpt="--enable-protocol=file"
DecoderOpt="--enable-decoder=mp3float --enable-decoder=aac --enable-decoder=alac"
DemuxerOpt="--enable-demuxer=aac --enable-demuxer=matroska --enable-demuxer=mov"
AllOpt="${EnvOpt} ${ArcOpt} ${GenOpt} ${ProtoOpt} ${DecoderOpt} ${DemuxerOpt}"

ConfigCmd="./configure ${AllOpt} --enable-debug"

echo ${ArchCode}: ${ConfigCmd}
${ConfigCmd}

echo make clean
make clean

echo make
make

echo Moving.
mkdir -p ./libs/Release/${ArchCode}
mv -f libavcodec/*.lib libs/Release/${ArchCode}/
mv -f libavcodec/*.pdb libs/Release/${ArchCode}/
mv -f libavcodec/*.dll libs/Release/${ArchCode}/
mv -f libavformat/*.lib libs/Release/${ArchCode}/
mv -f libavformat/*.pdb libs/Release/${ArchCode}/
mv -f libavformat/*.dll libs/Release/${ArchCode}/
mv -f libavutil/*.lib libs/Release/${ArchCode}/
mv -f libavutil/*.pdb libs/Release/${ArchCode}/
mv -f libavutil/*.dll libs/Release/${ArchCode}/

